RepairJob (apache-cassandra API)
Date: 2018-02-12

org.apache.cassandra.repair

## Class RepairJob

- java.lang.Object
- - com.google.common.util.concurrent.AbstractFuture<RepairResult>
  - - org.apache.cassandra.repair.RepairJob

- All Implemented Interfaces:
    com.google.common.util.concurrent.ListenableFuture<RepairResult>, java.lang.Runnable, java.util.concurrent.Future<RepairResult>

      public class RepairJob
      extends com.google.common.util.concurrent.AbstractFuture<RepairResult>
      implements java.lang.Runnable

  RepairJob runs repair on given ColumnFamily.

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `RepairJob(RepairSession session, java.lang.String columnFamily, RepairParallelism parallelismDegree, long repairedAt, com.google.common.util.concurrent.ListeningExecutorService taskExecutor)` Create repair job to run on specific columnfamily

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `run()` Runs repair job.

    - ### Methods inherited from class com.google.common.util.concurrent.AbstractFuture

      `addListener, cancel, get, get, interruptTask, isCancelled, isDone, set, setException, wasInterrupted`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### RepairJob

          public RepairJob(RepairSession session,
                           java.lang.String columnFamily,
                           RepairParallelism parallelismDegree,
                           long repairedAt,
                           com.google.common.util.concurrent.ListeningExecutorService taskExecutor)

      Create repair job to run on specific columnfamily
      Parameters:
        `session` - RepairSession that this RepairJob belongs
        `columnFamily` - name of the ColumnFamily to repair
        `parallelismDegree` - how to run repair job in parallel
        `repairedAt` - when the repair occurred (millis)
        `taskExecutor` - Executor to run various repair tasks

  - ### Method Detail

    - #### run

          public void run()

      Runs repair job. This sets up necessary task and runs them on given `taskExecutor`. After submitting all tasks, waits until validation with replica completes.
      Specified by:
        `run` in interface `java.lang.Runnable`

Copyright © 2018 The Apache Software Foundation